/*     karte_cgi (map_cgi) is interactively calculating maps  */
/*     via a web-interface  */

/*     Copyright (C) 2001  Marcus Lindemann (ml@ma3s.de) */

/*     This program is free software; you can redistribute it and/or modify */
/*     it under the terms of the GNU General Public License version 2 as */
/*     published by the Free Software Foundation. */

/*     This program is distributed in the hope that it will be useful, */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the */
/*     GNU General Public License for more details. */

/*     You should have received a copy of the GNU General Public License */
/*     along with this program (file LICENSE); if not, write to the */
/*     Free Software Foundation, Inc., 59 Temple Place, Suite 330,  */
/*     Boston, MA  02111-1307  USA */

#include "karte.h"

void html_head()
{
    cgiHeaderContentType("text/html");
    fprintf(cgiOut, "<html>\n<head>\n");
    fprintf(cgiOut, "<meta name=\"description\" content=\"Karte_cgi\">\n");
    fprintf(cgiOut, "<meta name=\"author\" content=\"Marcus Lindemann\">\n");
    fprintf(cgiOut, "<meta name=\"keywords\" content=\"karte map world geo karte_cgi cgi\">\n");
    fprintf(cgiOut, "<title>Karte</title>\n</head>\n");
    fprintf(cgiOut, "<body bgcolor=#ffffff>\n");
}

void html_foot()
{    
    fprintf(cgiOut, "<a href=%s>[help]</a>\n", HELP);
    fprintf(cgiOut, "</body></html>\n");
}

double min(double a, double b)
{
    if (a<b) return a;
    else return b;
}

double max(double a, double b)
{
    if (a>b) return a;
    else return b;
}
